Maybe this is only a Gentoo bug, not sure, but the fglrx installer (8.12) doesn't seem to create a /usr/lib[32/64]/libAMDXvBA.so symlink. There are only libAMDXvBA.so.1 and libAMDXvBA.so.1.0, but no libAMDXvBA.so. It's imposible to link against libAMDXvBA without an .so in place.